La distribution éducative pour débutants et initiés.

Vous n'êtes pas identifié(e).

Annonce

PrimTux3-Raspberry Pi est disponible pour tests ici

  • Pour être automatiquement informé des réponses à vos messages sur le forum, n'oubliez pas de cliquer sur "Suivre cette discussion" en bas de page. Mieux, en vous abonnant au flux RSS du forum, vous pourrez suivre tout nouveau message sur l'ensemble du forum.
  • En allant dans votre Profil, ligne "Vie privée", vous pouvez également cocher "Suivre automatiquement les sujets auxquels on a répondu.", vous n'aurez plus à cliquer sur "Suivre cette discussion" lorsque vous postez un message.
  • Carte des membres pouvant aider et des écoles sous PrimTux, merci de nous envoyer un email si vous souhaitez y apparaître.
  • Abonnez-vous à la newsletter sur le site principal pour être informé des nouveaux paquets, nouvelles versions, bugs...

#1 24-06-2017 20:24:40

ideefixe
Modérateur
Lieu : Bourges
Inscription : 04-06-2015
Messages : 2 732

[Résolu] Comment installer linux-image 4.9 ?

Pour améliorer la prise en charge d'une carte graphique NVIDIA, sur un ordinateur portable de 2006, je veux remplacer linux-image 3.16 de PrimTux2-Dys, par linux-image 4.9 (kernel de Debian Stretch).

Dans Synaptic, configurer les dépôts, lorsque je remplace "jessie" par "stretch" et que je recharge, j'ai un message d'erreur comme quoi il manque une clé de sécurité.

Hors ligne

#2 24-06-2017 20:27:14

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 635

Re : [Résolu] Comment installer linux-image 4.9 ?

Hors ligne

#3 24-06-2017 20:28:15

ideefixe
Modérateur
Lieu : Bourges
Inscription : 04-06-2015
Messages : 2 732

Re : [Résolu] Comment installer linux-image 4.9 ?

Cela ne marche plus depuis la publication de Debian Stretch en version stable.

Du moins, cela bloque pour la première partie :

/etc/apt/sources.list
#deb http://http.debian.net/debian/ jessie main contrib non-free
deb http://backports.debian.org/debian-backports stretch-backports main contrib non-free
deb http://http.debian.net/debian stretch-backports main contrib non-free

Donc, je n'ai pas fait la seconde partie :

apt-get remove xserver-xorg-video-intel
apt-cache search linux-image
apt-get -q -t stretch-backports install linux-image-4.9.0-0.bpo.2-686-pae
reboot

Hors ligne

#4 24-06-2017 20:30:23

Steph
Administrateur
Inscription : 03-06-2015
Messages : 4 635

Re : [Résolu] Comment installer linux-image 4.9 ?

Il faut mettre les jessie backports alors non?

deb http://ftp.debian.org/debian jessie-backports main

Hors ligne

#5 24-06-2017 20:53:48

Philippe Dpt35
Modérateur
Lieu : Ille-et-Vilaine
Inscription : 28-10-2015
Messages : 2 175
Site Web

Re : [Résolu] Comment installer linux-image 4.9 ?

Si stretch est proposée en version stable, pourquoi ne pas tenter une mise à niveau par

sudo do-release-upgrade

sauf s'il y a des paquets qui doivent rester sur une ancienne version.

Hors ligne

#6 24-06-2017 20:55:57

ideefixe
Modérateur
Lieu : Bourges
Inscription : 04-06-2015
Messages : 2 732

Re : [Résolu] Comment installer linux-image 4.9 ?

Steph a écrit :

Il faut mettre les jessie backports alors non?

deb http://ftp.debian.org/debian jessie-backports main

Oui, c'est la bonne solution, ça marche.

Il demande Linux-base. Valider.

Sélectionner à nouveau Linux-image 4.9, valider et ça passe.

J'ai choisi linux-image 4.9 pour modern pcs (avec pae) et "signed".

Au redémarrage, dans les informations système, j'ai bien ce nouveau noyau. smile

Hors ligne

#7 16-09-2017 22:26:09

ideefixe
Modérateur
Lieu : Bourges
Inscription : 04-06-2015
Messages : 2 732

Re : [Résolu] Comment installer linux-image 4.9 ?

Hors ligne

Pied de page des forums